.custom-select {
    position: relative;
    display: inline-block;
    width: fit-content;
}

button.select-button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.675em 1em;
    border: 1px solid #caced1;
    border-radius: 12px;
    background-color: white;
    cursor: pointer;
    width: 100%;
}

button.select-button img {
    width: 24px;
    height: 24px;
}

.arrow svg {
    height: 5px;
    width: 8px;
}

.arrow {
    transition: transform ease-in-out 0.3s;
}

ul.select-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    border: 1px solid #caced1;
    border-radius: 8px;
    background-color: white;
    list-style: none;
    margin: 10px 0 0;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
    max-height: 200px;
    overflow-y: auto;
    z-index: 10;
}

ul.select-dropdown::-webkit-scrollbar {
    width: 7px;
}

ul.select-dropdown::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 25px;
}

ul.select-dropdown::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 25px;
}

ul.select-dropdown li {
    color: black;
    padding: 10px;
    cursor: pointer;
    display: flex;
    gap: 8px;
    align-items: center;
}

ul.select-dropdown li:hover {
    background-color: var(--secondary-color);
    color: white;
}

ul.select-dropdown.hidden {
    display: none;
}

button.select-button[aria-expanded="true"] {
    background-color: var(--secondary-color);
}

button.select-button[aria-expanded="true"] > div.selected-value {
    color: white;
}

button.select-button[aria-expanded="true"] .arrow {
    transform: rotate(180deg);
}

button.select-button[aria-expanded="true"] .arrow path {
    fill: white;
}

button.select-button > div.selected-value {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 8px;
    color: black;
}
